Observer
API

POST /change-events

Ingest a deploy / commit / release event for status-transition correlation

Request body#

{
  "source": "ci",
  "kind": "deploy",
  "ref": "abc123",
  "title": "string",
  "url": "string",
  "service": "string",
  "occurred_at": "2026-01-01T00:00:00.000Z",
  "dedupe_key": "string"
}

Example request#

curl -X POST "/api/v1/change-events" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d "{\"source\":\"ci\",\"kind\":\"deploy\",\"ref\":\"abc123\",\"title\":\"string\",\"url\":\"string\",\"service\":\"string\",\"occurred_at\":\"2026-01-01T00:00:00.000Z\",\"dedupe_key\":\"string\"}"

Responses#

200: recorded#

{}

401: missing or invalid bearer token#

403: missing required scope#

404: not found (or cross-tenant: same response)#

422: invalid event#

429: rate limit exceeded#

Was this page helpful?